<template>
  <div class="box-entry">
    <div classs="box-content">
      <img v-lazy="gameForDisplay.GameIconUrl" class="object-contain w-full" />
    </div>
    <div class="footer-entry">
      <div class="background-play-game"></div>
      <div class="relative game-name">{{ gameForDisplay.GameNameForDisplay }}</div>
      <div class="flex w-[35%] px-3 justify-center my-0 mx-auto relative">
        <button class="btn-play-game" @click="$emit('onClick')">
          {{ $t("play_now") }}
        </button>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType, computed } from "vue";
import { IGameBsi } from "@/models/bsiGameList";
import SportDisplayModel from "../sport/sportDisplayModel";

export default defineComponent({
  name: "VerticalGameEntryComponent",
  props: {
    game: {
      type: Object as PropType<IGameBsi>,
      required: true,
    },
  },
  setup(props) {
    const gameForDisplay = computed(() => new SportDisplayModel(props.game));
    return {
      gameForDisplay
    };
  },
});
</script>

<style scoped lang="scss">
.box-entry {
  height: 320px;
  position: relative;
  border-radius: 10px;
  box-sizing: border-box;
  border: 1px solid #393c68;
  width: 100%;
  overflow: hidden;
  cursor: pointer;

  .footer-entry {
    height: 35%;
    width: 100%;
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    color: var(--text5);

    .background-play-game {
      background-color: #393c68;
      opacity: 0.8;
      width: 100%;
      height: 100%;
      position: absolute;
      z-index: 0;
    }

    .game-name {
      margin-top: 2%;
      height: 50px;
      display: block;
      font-family: sans-serif;
      line-height: 40px;
      text-overflow: ellipsis;
      white-space: nowrap;
      font-size: 16px;
      text-align: center;
    }

    .btn-play-game {
      background: #ff4e00;
      border: 1px solid #ff4e00;
      border-radius: 25px;
      font-size: 16px;
      font-weight: 700;
      padding: 5px 20px;
      width: 100%;

      &:hover,
      &:focus {
        background: #009fe3;
        border-color: #009fe3;
        color: black;
      }
    }
  }
}
</style>
